SMALLTALK(1)

NAME
Smalltalk - the GNU Smalltalk virtual machine

DESCRIPTION
GNU Smalltalk usage:

    gst [ flag ... ] [ file ...]

Short flags can appear either as -xyz or as -x -y -z. If an option is mandatory for a long option, it is also mandatory for a short one. The currently defined set of flags is:

-a --smalltalk
    Pass the remaining arguments to Smalltalk

-c --core-dump
    Dump core on fatal signal

-d --declaration-trace-user
    Trace compilation of files on the command line

-D --declaration-trace-all
    Trace compilation of all loaded files

-e --execution-trace-user
    Trace execution of files on the command line

-E --execution-trace-all
    Trace execution of all loaded files

-g --no-gc-message
    Do not print garbage collection messages

-H -h -? --help
    Print this message and exit

-i --rebuild-image
    Ignore the image file; rebuild it from scratch

-I --image-file file
    Instead of `gst.im', use `file' as the image file, and ignore the kernel files' timestamps

-K --kernel-file file
    Make file's path relative to the image path.

-l --log-changes
    Log changes in `change-log.st'

-L --log-file file
    Log changes in file `file'

-p --emacs-mode
    Execute as a `process' (from within Emacs)

-q --quiet --silent
    Do not print execution information

-Q --no-messages
    Run Smalltalk with -q -g and no startup banner

-r --regression-test
    Run in regression test mode, i.e. make printed messages constant

-S --snapshot
    Save a snapshot just before exiting

-v --version
    Print the Smalltalk version number and exit

-V --verbose
    Print names of loaded files and execution stats

-y --yacc-debug
    Turn on debugging in the parser

-   Read input from standard input explicitly

Files are loaded one after the other. After the last one is loaded, Smalltalk will exit. If no files are specified, Smalltalk reads from the terminal, with prompts.

AUTHOR
Written by Steve Byrne (sbb@gnu.org) and Paolo Bonzini (bonzini@gnu.org)

GNU Smalltalk comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of GNU Smalltalk under the terms of the GNU General Public License. For more information, see the file named COPYING.

Using default kernel path: /usr/local/share/smalltalk/kernel Using default image path: /usr/local/share/smalltalk

REPORTING BUGS
Report bugs to help-smalltalk@gnu.org

Copyright 2003 Free Software Foundation, Inc.

SEE ALSO
The full documentation for Smalltalk is maintained as a Texinfo manual. If the info and Smalltalk programs are properly installed at your site, the command

    info gst

should give you access to the complete manual.